@use 'partials/variables/grid';
@use 'partials/variables/mobile-screen';
@use 'partials/variables/ratio';
@use 'partials/variables/card';
@use 'partials/classes/round-button';
@use 'partials/functions/calculations';
@use 'partials/mixins/card' as card-mixins;
@use 'partials/mixins/button-width';
@use 'partials/mixins/grid-layout';

// to eliminate to much white space between
// and have enough space on smaller screens
// the image and text/logo the card shouldn't
// be exactly quadratic
$app-card-height-fraction: calc(18.5 / 20);

.marketplace-container {
  display: flex;
  flex-direction: column;
}

.headline {
  align-self: center;
  text-align: center;
}

.filter-by {
  font-weight: bolder;
}

.filter-spacing {
  padding-top: 2em;
  // padding-bottom: 1em;
}

.toolbar-flex-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 1em 0;
}

.button-align-icon {
  display: flex;
  align-items: center;
}

.app-upload-button {
  @include button-width.set-button-width(180px);
  justify-content: center;
}

$grid-gap: 4em;
$grid-item-min-width: 300px;
$grid-column-count: 100;
.marketplace-content {
  @include grid-layout.create-variable-grid($grid-item-min-width, $grid-gap, $grid-column-count);
  @include card-mixins.children($grid-item-min-width);
  margin-bottom: 2em;
}

@media only screen and (max-width: mobile-screen.$max-mobile-width) {
  .toolbar-flex-container {
    flex-direction: column;
    row-gap: 1em;
    padding: 2em 0;
  }

  .marketplace-content {
    gap: 2em;
  }
}
